From 5b630486c67f248541857a6364296a812cb8f06b Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Tue, 28 Aug 2012 17:06:35 +0200
Subject: Update to new syntax for validation definitions

--HG--
extra : source : 0998e27faf94b26e6a928a977b59ca2fac2da515
---
 app/models/repository.rb                           |    2 +-
 .../lib/acts_as_customizable.rb                    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/app/models/repository.rb b/app/models/repository.rb
index 44d8258..6322b87 100644
--- a/app/models/repository.rb
+++ b/app/models/repository.rb
@@ -25,7 +25,7 @@ class Repository < ActiveRecord::Base
 
   validates_length_of :password, :maximum => 255, :allow_nil => true
   # Checks if the SCM is enabled when creating a repository
-  validate_on_create { |r| r.errors.add(:type, :invalid) unless Setting.enabled_scm.include?(r.class.name.demodulize) }
+  validate(:on => :create) { |r| r.errors.add(:type, :invalid) unless Setting.enabled_scm.include?(r.class.name.demodulize) }
 
   # Removes leading and trailing whitespace
   def url=(arg)
